define([
    'Magento_Ui/js/form/form',
    'Magento_Checkout/js/model/step-navigator',
    'Magento_Checkout/js/view/progress-bar',
    'ko'
], function(Component, stepNavigator) {
    'use strict';

    return Component.extend({
        initialize: function () {
            this._super();
            return this;
        },

        /**
         *
         * @returns {*|boolean}
         */
        canShow: function() {
            return stepNavigator.getActiveItemIndex() === 0;
        },

        /**
         * Form submit handler
         *
         * This method can have any name.
         */
        onSubmit: function() {

            console.log($(this).serialize());
            // trigger form validation
            this.source.set('params.invalid', false);
            this.source.trigger('cegid.data.validate');

            // verify that form data is valid
            if (!this.source.get('params.invalid')) {
                // data is retrieved from data provider by value of the customScope property
                var formData = this.source.get('customCheckoutForm');
                // do something with form data
                console.dir(formData);
            }
        }
    });
});